Herausfinden welches Framework für ein Assembly benötigt wird.



  • Hi,

    ich habe hier ein Assembly und benötige für dieses eine Aussage welches .Net Framework dafür mindestens vorhanden sein muss.

    Ich hab es zwar schon heraus gefunden indem ich mit einem Reflector alle Abhängikeiten durch gegangen bin und geschaut habe welche Version es ist, aber das muss doch auch irgendwie einfacher gehen.

    Gibts dafür schon irgendein tool?

    Gruß,
    Sascha



  • Wenn die Assembly auf mscoree.dll referenziert nachgucken, welche Version sie hat, oder suchst du sowas?



  • Rhombicosidodecahedron schrieb:

    Wenn die Assembly auf mscoree.dll referenziert nachgucken, welche Version sie hat ...

    Okay, der Dependency Walker sagt Product Version 2.0.50727.3053
    spich 2.0 Framwork ...

    Falls irgend etwas ein neueres Framework benötigt ist die MSCOREE.DLL auch höher oder wie verhällt sich das?

    Gruß,
    Sascha


Log in to reply